# Uses of Class
javafx.scene.effect.Effect

Packages that use Effect
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.

## Uses of Effect in javafx.css

Methods in javafx.css with type parameters of type Effect
Modifier and Type
Method
Description
`final <E extends Effect>
CssMetaData<S,E>`
StyleablePropertyFactory.`createEffectCssMetaData(String property, Function<S,StyleableProperty<E>> function)`
Create a CssMetaData<S, Effect> with initial value of null, and inherit flag defaulting to false.
`final <E extends Effect>
CssMetaData<S,E>`
StyleablePropertyFactory.`createEffectCssMetaData(String property, Function<S,StyleableProperty<E>> function, E initialValue)`
Create a CssMetaData<S, Effect> with initial value, and inherit flag defaulting to false.
`final <E extends Effect>
CssMetaData<S,E>`
StyleablePropertyFactory.`createEffectCssMetaData(String property, Function<S,StyleableProperty<E>> function, E initialValue, boolean inherits)`
Create a CssMetaData<S, Effect> with initial value, and inherit flag.
`final <E extends Effect>
StyleableProperty<E>`
StyleablePropertyFactory.`createStyleableEffectProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<E>> function)`
Create a StyleableProperty<Effect>.
`final <E extends Effect>
StyleableProperty<E>`
StyleablePropertyFactory.`createStyleableEffectProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<E>> function, E initialValue)`
Create a StyleableProperty<Effect> with initial value.
`final <E extends Effect>
StyleableProperty<E>`
StyleablePropertyFactory.`createStyleableEffectProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<E>> function, E initialValue, boolean inherits)`
Create a StyleableProperty<Effect> with initial value and inherit flag.
Methods in javafx.css that return types with arguments of type Effect
Modifier and Type
Method
Description
`final StyleableProperty<Effect>`
StyleablePropertyFactory.`createStyleableEffectProperty(S styleable, String propertyName, String cssProperty)`
Create a StyleableProperty<Effect> using previously created CssMetaData for the given `cssProperty`.
`static StyleConverter<ParsedValue[],Effect>`
StyleConverter.`getEffectConverter()`
Return a `StyleConverter` that converts a parsed representation of an `Effect` to an `Effect`

## Uses of Effect in javafx.css.converter

Methods in javafx.css.converter that return Effect
Modifier and Type
Method
Description
`Effect`
EffectConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.DropShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.InnerShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
Methods in javafx.css.converter that return types with arguments of type Effect
Modifier and Type
Method
Description
`static StyleConverter<ParsedValue[],Effect>`
EffectConverter.`getInstance()`
Method parameters in javafx.css.converter with type arguments of type Effect
Modifier and Type
Method
Description
`Effect`
EffectConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.DropShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.InnerShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`

## Uses of Effect in javafx.scene

Methods in javafx.scene that return Effect
Modifier and Type
Method
Description
`final Effect`
Node.`getEffect()`
Gets the value of the `effect` property.
Methods in javafx.scene that return types with arguments of type Effect
Modifier and Type
Method
Description
`final ObjectProperty<Effect>`
Node.`effectProperty()`
Specifies an effect to apply to this `Node`.
Methods in javafx.scene with parameters of type Effect
Modifier and Type
Method
Description
`final void`
Node.`setEffect(Effect value)`
Sets the value of the `effect` property.

## Uses of Effect in javafx.scene.canvas

Methods in javafx.scene.canvas that return Effect
Modifier and Type
Method
Description
`Effect`
GraphicsContext.`getEffect(Effect e)`
Gets a copy of the effect to be applied after the next draw call.
Methods in javafx.scene.canvas with parameters of type Effect
Modifier and Type
Method
Description
`void`
GraphicsContext.`applyEffect(Effect e)`
Applies the given effect to the entire bounds of the canvas and stores the result back into the same canvas.
`Effect`
GraphicsContext.`getEffect(Effect e)`
Gets a copy of the effect to be applied after the next draw call.
`void`
GraphicsContext.`setEffect(Effect e)`
Sets the effect to be applied after the next draw call, or null to disable effects.

## Uses of Effect in javafx.scene.effect

Subclasses of Effect in javafx.scene.effect
Modifier and Type
Class
Description
`class`
`Blend`
An effect that blends the two inputs together using one of the pre-defined `BlendMode`s.
`class`
`Bloom`
A high-level effect that makes brighter portions of the input image appear to glow, based on a configurable threshold.
`class`
`BoxBlur`
A blur effect using a simple box filter kernel, with separately configurable sizes in both dimensions, and an iteration parameter that controls the quality of the resulting blur.
`class`
`ColorAdjust`
An effect that allows for per-pixel adjustments of hue, saturation, brightness, and contrast.
`class`
`ColorInput`
An effect that renders a rectangular region that is filled ("flooded") with the given `Paint`.
`class`
`DisplacementMap`
An effect that shifts each pixel by a distance specified by the first two bands of of the specified `FloatMap`.
`class`
`DropShadow`
A high-level effect that renders a shadow of the given content behind the content with the specified color, radius, and offset.
`class`
`GaussianBlur`
A blur effect using a Gaussian convolution kernel, with a configurable radius.
`class`
`Glow`
A high-level effect that makes the input image appear to glow, based on a configurable threshold.
`class`
`ImageInput`
A type of source effect that simply passes the given `Image` through, unmodified, as an input to another `Effect`.
`class`
`InnerShadow`
A high-level effect that renders a shadow inside the edges of the given content with the specified color, radius, and offset.
`class`
`Lighting`
An effect that simulates a light source shining on the given content, which can be used to give flat objects a more realistic, three-dimensional appearance.
`class`
`MotionBlur`
A motion blur effect using a Gaussian convolution kernel, with a configurable radius and angle.
`class`
`PerspectiveTransform`
An effect that provides non-affine transformation of the input content.
`class`
`Reflection`
An effect that renders a reflected version of the input below the actual input content.
`class`
`SepiaTone`
A filter that produces a sepia tone effect, similar to antique photographs.
`class`
`Shadow`
An effect which creates a monochrome duplicate of an input with blurry edges.
Methods in javafx.scene.effect that return Effect
Modifier and Type
Method
Description
`final Effect`
Blend.`getBottomInput()`
Gets the value of the `bottomInput` property.
`final Effect`
Lighting.`getBumpInput()`
Gets the value of the `bumpInput` property.
`final Effect`
Lighting.`getContentInput()`
Gets the value of the `contentInput` property.
`final Effect`
Bloom.`getInput()`
Gets the value of the `input` property.
`final Effect`
BoxBlur.`getInput()`
Gets the value of the `input` property.
`final Effect`
ColorAdjust.`getInput()`
Gets the value of the `input` property.
`final Effect`
DisplacementMap.`getInput()`
Gets the value of the `input` property.
`final Effect`
DropShadow.`getInput()`
Gets the value of the `input` property.
`final Effect`
GaussianBlur.`getInput()`
Gets the value of the `input` property.
`final Effect`
Glow.`getInput()`
Gets the value of the `input` property.
`final Effect`
InnerShadow.`getInput()`
Gets the value of the `input` property.
`final Effect`
MotionBlur.`getInput()`
Gets the value of the `input` property.
`final Effect`
PerspectiveTransform.`getInput()`
Gets the value of the `input` property.
`final Effect`
Reflection.`getInput()`
Gets the value of the `input` property.
`final Effect`
SepiaTone.`getInput()`
Gets the value of the `input` property.
`final Effect`
Shadow.`getInput()`
Gets the value of the `input` property.
`final Effect`
Blend.`getTopInput()`
Gets the value of the `topInput` property.
Methods in javafx.scene.effect that return types with arguments of type Effect
Modifier and Type
Method
Description
`final ObjectProperty<Effect>`
Blend.`bottomInputProperty()`
The bottom input for this `Blend` operation.
`final ObjectProperty<Effect>`
Lighting.`bumpInputProperty()`
The optional bump map input.
`final ObjectProperty<Effect>`
Lighting.`contentInputProperty()`
The content input for this `Effect`.
`final ObjectProperty<Effect>`
Bloom.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
BoxBlur.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
ColorAdjust.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
DisplacementMap.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
DropShadow.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
GaussianBlur.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
Glow.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
InnerShadow.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
MotionBlur.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
PerspectiveTransform.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
Reflection.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
SepiaTone.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
Shadow.`inputProperty()`
The input for this `Effect`.
`final ObjectProperty<Effect>`
Blend.`topInputProperty()`
The top input for this `Blend` operation.
Methods in javafx.scene.effect with parameters of type Effect
Modifier and Type
Method
Description
`final void`
Blend.`setBottomInput(Effect value)`
Sets the value of the `bottomInput` property.
`final void`
Lighting.`setBumpInput(Effect value)`
Sets the value of the `bumpInput` property.
`final void`
Lighting.`setContentInput(Effect value)`
Sets the value of the `contentInput` property.
`final void`
Bloom.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
BoxBlur.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
ColorAdjust.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
DisplacementMap.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
DropShadow.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
GaussianBlur.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
Glow.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
InnerShadow.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
MotionBlur.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
PerspectiveTransform.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
Reflection.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
SepiaTone.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
Shadow.`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
Blend.`setTopInput(Effect value)`
Sets the value of the `topInput` property.
Constructors in javafx.scene.effect with parameters of type Effect
Modifier
Constructor
Description
``
`Blend(BlendMode mode, Effect bottomInput, Effect topInput)`
Creates a new instance of Blend with the specified mode and bottom and top inputs.